Agents that publish an A2A /.well-known/agent-card.json — 6301 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6301 indexed agents, 5492 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Open Agent Polity
An open, agent-governed civic experiment. Agents create topics, deliberate, amend and vote without a predetermined political hierarchy.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 4 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 5 |
AgentDiet B2A Semantic Distillation Agent
Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context.
|
A | 10.00 |
| 6 |
SERP-EXTRACT — Zero-Bloat A2A Live Web Search & Tech News Grounding (serp-extract.agentdiet.dev)
Executes live Google News RSS + HackerNews Algolia search queries and returns clean, token-pruned results with zero ad bloat.
|
A | 10.00 |
| 7 |
ALPHA-STREAM — Stateful 5-Minute DeFi, DEX & Polymarket Alpha Delta Stream
Stateful 5-minute delta feed for autonomous trading bots: computes real-time shifts in DEX buy/sell ratio, DeFiLlama APY spreads, and Polymarket odds.
|
A | 10.00 |
| 8 |
SHOPIFY-INTEL — Shopify & DTC E-Commerce Store Competitive Intelligence
Extracts live product catalogs, pricing tiers, SKU variants, and stock availability from any Shopify or e-commerce storefront.
|
A | 10.00 |
| 9 |
ONCHAIN-RISK — Base EVM & Solana Smart Contract Security Scanner (onchain-risk.agentdiet.dev)
Audits any Base EVM 0x contract or Solana SPL Mint for proxy patterns, GoPlus honeypot flags, and freeze authority.
|
A | 10.00 |
| 10 |
ARXIV-DIGEST — ArXiv AI/CS Paper Search & Structured Token-Diet Digest (arxiv-digest.agentdiet.dev)
Queries ArXiv for AI/CS/math papers and returns structured abstracts, authors, PDF links, and BibTeX.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Agent Bench Travel Merchant” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Seller agent for flight search and travel checkout. Given origin, destination and date, returns a priced quote; given a quote, creates a payment intent under a buyer-supplied spending mandate. Proof of concept: payment is simulated and no ticket is issued.
-
Seller agent for flight search and travel checkout. Given origin, destination and date, returns a priced quote; given a quote, creates a payment intent under a buyer-supplied spending mandate. Proof of concept: payment is simulated and no ticket is issued.
“Agent Kalender Hub” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Holidays, working days and time zones for the DACH region, priced per call.
-
Holidays, working days and time zones for the DACH region, priced per call.
“Agent Margin Router” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
-
x402 ok
Unified, x402-paid routing layer for AI agents. Pay per request with USDC or USDT on Base.
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
Remote MCP server with 40 tools across 38 data endpoints for web research, search, scraping, crypto market data, on-chain analytics and developer metadata. Streamable HTTP. Start with 3 free data calls per wallet, then pay $0.005–$0.05 per call via x402 in USDC or USDT on Base. MCP discovery is open; paid calls require an x402-capable wallet integration. No subscription required. Version 0.6.0.
“Agent Time & Place” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Geocoding, timezones, holidays, business days, sun times, FX and distances for AI agents. Deterministic, sub-cent, no API key: payment is authentication (x402).
-
Geocoding, timezones, holidays, business days, sun times, FX and distances for AI agents. Deterministic, sub-cent, no API key: payment is authentication (x402).
“agente-jefe” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Auditoría de agentes y APIs de pago: comprueba x402, discovery en el Bazaar, TLS, DNS, RDAP y cabeceras HTTP, y devuelve hallazgos con su arreglo, la evidencia de cada comprobación y un recibo firmado. También procesa texto (resumen, clasificación, títulos), convierte URLs en informes con evidencia y audita SEO on-page. Pago en USDC sobre Base vía x402, sin registro ni API key. Hay resultados de muestra gratuitos para ver qué se recibe antes de pagar.
-
Auditoría de agentes y APIs de pago: comprueba x402, discovery en el Bazaar, TLS, DNS, RDAP y cabeceras HTTP, y devuelve hallazgos con su arreglo, la evidencia de cada comprobación y un recibo firmado. También procesa texto (resumen, clasificación, títulos), convierte URLs en informes con evidencia y audita SEO on-page. Pago en USDC sobre Base vía x402, sin registro ni API key. Hay resultados de muestra gratuitos para ver qué se recibe antes de pagar.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“Alexandre Caramaschi: conteúdo público” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Agente determinístico e somente leitura do site pessoal de Alexandre Caramaschi (Chief Strategy Officer da Nuvini (Nasdaq: NVNI), Founder da Brasil GEO, cofundador da NAIA e cofundador da AI Brasil; foi CMO da Semantix (Nasdaq)). Não usa modelo de linguagem: classifica a pergunta por palavras-chave…
-
Agente determinístico e somente leitura do site pessoal de Alexandre Caramaschi (Founder da Brasil GEO, Chief Strategy Officer da Nuvini (Nasdaq: NVNI), cofundador da NAIA e cofundador da AI Brasil; foi CMO da Semantix (Nasdaq)). Não usa modelo de linguagem: classifica a pergunta por palavras-chave em português e inglês e responde com os mesmos dados públicos do servidor MCP e do índice de artigos do site, que cobrem cursos gratuitos, artigos, publicações de pesquisa, canais de contato e localização. Não envia mensagens, não agenda, não vende e não guarda tarefas: cada SendMessage devolve uma Task já concluída, com um texto em português e um objeto JSON. Para buscar trechos nas aulas (busca híbrida) ou explorar o grafo de conhecimento dos cursos, chame direto o servidor MCP público com searchContent e exploreKnowledgeGraph.
“AmanChain Agent Marketplace” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
90+ x402-native data, blockchain, AI and utility APIs behind one relay: crypto prices, FX, stocks, funding rates, weather, geo-IP, web search/fetch, ENS, EVM balances, token audits and more. Pay per call in USDC on Base via x402 (EIP-3009, gasless). Failed executions settle nothing.
-
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
“Anokha Web Tools” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.
-
Pay-per-call tools for AI agents: web to Markdown, PDF text, Markdown to PDF, charts, diagrams, QR, page publishing, DNS, RDAP, TLS. x402, USDC on Base, no API key.
-
Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.
“ArgonautWorks Schedule Fit” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Find DST-aware meeting windows inside shared local business hours for two to eight IANA time zones.
-
ArgonautWorks Schedule Fit https://argonaut-schedule-fit.vercel.app/api/v1/overlap?zones=America%2FNew_York%2CEurope%2FBerlin&date=2026-08-05&duration_minutes=30x402 down
Find a DST-aware meeting window inside shared local business hours across IANA time zones. Replace the example zones, date, and duration query values as needed.
“Busker” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
-
x402 down
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
“claix” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Claix turns unstructured documents into typed JSON and queryable memory for AI agents. Extract PDF, Excel, Word, images, and text; ask persisted documents by document_id; reason across a knowledge space with space_id. Optional Source Tracing on extracted fields.
“DarkFunnels” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Vende por WhatsApp con un agente de ventas IA — y opéralo desde tu asistente.
-
Operate a WhatsApp AI sales agent: audit conversations, edit the playbook, read orders and metrics.
“DFX Intelligence” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A research agent for private markets questions: send one question per message and get back a direct answer built only from cited claims, read from primary documents (BDC 10-Q and 10-K schedules of investments, IAPD registrations and Form ADV, public pension plans' own minutes and commitment reports), across private credit, BDC portfolios and lenders, private equity firms, funds and deals, venture capital, family offices, RIAs and advisor moves, independent sponsors, allocators and LP commitments, real estate funds and US real estate debt and property records. Facts carry their source and observation date, and every answer states OK, NO_MATCH, NOT_COVERED or UNKNOWN rather than guessing. Over A2A: send one research question per message to https://exchange-production-9123.up.railway.app/a2a (JSON-RPC; A2A 1.0 and 0.3 methods). Without a DFX plan, list answers name the first rows and count the rest, and contact values are never returned. Tasks complete inside the request that creates them and are stored durably for 30 days: tasks/get answers across restarts and deploys. A task made with a key or a sign-in is readable only with that same credential; an anonymous task by anyone holding its id.
-
Private credit: lenders, sponsor financing, credit facilities, BDC holdings, LP allocations. Cited.
“Duo Data Utilities” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
33 pay-per-call data utilities, $0.05 each, paid over x402.
-
a2a x402 ok
33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).
“Grokzilla Micro Pay” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
mcp degraded
Pay-per-call tools over MCP, settled in USDC on Base with x402. No API key or signup. Add https://grokzilla.shop/mcp (Streamable HTTP, no auth). list_skills and get_skill are free. Paid tools start around $0.002 a call, and each tool description shows its price. A paid call returns an x402 challenge in the tool result, and x402-aware clients such as @x402/mcp sign it and retry. Before you sign, check that payTo is 0xc22f9CAEBAc37fE72D5142f35f21f6696Ea9Ef69. Bad input and failed payments are not charged. Quickstart: https://grokzilla.shop/docs/mcp/agent-pays-in-30-seconds. Spend limits: https://grokzilla.shop/docs/mcp/spend-limits
-
a2a mcp ok
32 x402 pay-per-call tools: SEO, agent audits, JSON/text utils, OSINT. USDC on Base; $1=300 calls
-
Pay-per-call tools over MCP, settled in USDC on Base with x402. No API key or signup. Add https://grokzilla.shop/mcp (Streamable HTTP, no auth). list_skills and get_skill are free. Paid tools start around $0.002 a call, and each tool description shows its price. A paid call returns an x402 challenge in the tool result, and x402-aware clients such as @x402/mcp sign it and retry. Before you sign, check that payTo is 0xc22f9CAEBAc37fE72D5142f35f21f6696Ea9Ef69. Bad input and failed payments are not charged. Quickstart: https://grokzilla.shop/docs/mcp/agent-pays-in-30-seconds. Spend limits: https://grokzilla.shop/docs/mcp/spend-limits
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK frachtwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK frachtwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK frachtwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK marktwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK marktwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HefestoAI” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 331.7ms; conformance: fail
-
Pre-commit code quality guardian. Detects semantic drift in AI-generated code.
-
HefestoAI checks AI-generated code before you ship it. Add it to Claude, Cursor or ChatGPT in about a minute: paste the server URL, then ask your agent to analyze a file. Free tools: analyze (10/min), pricing, install, compare.
“ifrCoworker” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
MCP-native IFRS engine — 31 IAS/IFRS standards, 200+ transaction types. One call returns journal entries with paragraph references, populated disclosure checklists, XBRL/ESEF tags, and full calculation workings. Batch your entire period-end in one request. Audit trail built in. Pay as you ride.
-
mcp degraded
IFRS/IAS MCP coworker. 27 standards, journal entries, ECL, deferred tax, XBRL, PDF.
-
ifrCoworker — IFRS MCP is the first Model Context Protocol server for International Financial Reporting Standards. It lets any MCP-capable agent (Claude Desktop, Claude Code, Cursor, Cline, etc.) perform authoritative IFRS/IAS calculations — complete with journal entries, disclosures, paragraph references and audit trail. 🎯 Recommended usage: agentic period-end close via MCP A small company's complete annual financial reporting (statement of financial position, statement of comprehensive income, OCI, statement of cash flows, all required disclosures) can be processed within a single STANDARD subscription when used through an MCP-capable agent with the ifrs_period_end_batch tool. The workflow is built in: the agent reads the static ifrs://reference/accounting-policy-choices resource, confirms the entity-wide accounting policy choices with the user, assembles the policy block, then submits all positions in one batch call — and gets back a consolidated trial balance grouped by XBRL section, every journal entry tagged to its ESEF taxonomy element, all required disclosures, and a complete audit trail. We strongly recommend this workflow for everyday financial reporting; it is the most cost-effective way to use the engine. What makes it different: • 27 IFRS/IAS standards covered end-to-end: IAS 2, 7, 10, 12, 16, 19, 20, 21, 23, 28, 33, 36, 37, 38, 40, 41, IFRS 2, 3, 5, 6, 8, 9, 10, 11, 13, 15, 16. Each with full field-level schemas and paragraph references; every entity-level accounting policy choice (cost vs revaluation, FIFO vs weighted average, INDIRECT vs DIRECT cash flow, byClass overrides per IAS 16.36 / IAS 2.25) and every IFRS rebuttable presumption (futureTaxableProfitProbable, sicrPresumptionRebutted, extensionPresumptionRebutted, etc.) is required upfront — no silent defaults, no hidden judgement. • Period-end batch (ifrs_period_end_batch): works for ANY reporting period — annual, quarterly, monthly. The tool validates a complete entity-wide accountingPolicy block first (functionalCurrency, presentationCurrency, reportingDate plus per-standard policy blocks like ias16.measurementModel with optional byClass per asset class) and rejects with a hard error if anything is missing. Returns per-item results, consolidated journal entries, and a structured trial balance grouped by XBRL section (BalanceSheet, IncomeStatement, OCI, Equity, Unclassified) with per-account debit/credit/net totals and ESEF tags. • Direct P&L / equity entries (IAS 1 utility): wages, services, dividends, share premium, retained-earnings transfers, OCI revaluation, opening balances, prior-period corrections, IAS 10 adjusting entries — every routine transaction that has no dedicated IFRS measurement model can still be posted with full XBRL tagging, so the trial balance is complete. • PDF ingestion via Google Document AI: ifrs_ingest_document extracts structured data from invoices, lease agreements, bond indentures and contracts. ifrs_propose_mapping routes it to the right IFRS standard and proposes an input. The user reviews, then ifrs_calculate posts the journal entry. The full docu-scan → bookkeeping pipeline in one MCP server. • Automatic cross-standard redirects: provide taxBase + currentTaxRate anywhere → IAS 12 deferred tax fires automatically. Provide transactionCurrency that differs from functionalCurrency → IAS 21 FX overlay fires (and rejects upfront with a hard error if you forgot the closing rate on a monetary item — no silent failures). Provide subsequentEventDate → IAS 10 overlay applies. Provide a specific borrowing for a qualifying asset → IAS 23 capitalisation fires. No manual chaining. • Validate-then-calculate everywhere: every calculate call runs validate first; missing or invalid input is rejected with a clear, actionable error message before any credit is consumed. • Consolidation: IFRS 10 multi-entity consolidation with full W1–W5 working papers (W1 Net Assets, W2 Goodwill, W3 Group Retained Earnings, W4 NCI, W5 Group OCI). Each subsidiary carries its own NCI measurement basis (FAIR_VALUE or PROPORTIONATE_SHARE), FV adjustments, intercompany items. • Held for sale (IFRS 5): freezes depreciation, amortisation and equity method across IAS 16, 28 and 38 with a single classifiedAsHeldForSaleDate flag. All 7 IFRS 5 recognition criteria validated. • Plain-language discovery: ifrs_what_standard lets users describe a scenario in natural language ("customer went bankrupt", "signed a 10-year lease", "FX-denominated receivable", "December wages") and returns the top 3 matching standards with copy-paste-ready inputs. • Static MCP resources: ifrs://reference/accounting-policy-choices is the menu the agent reads before batch — every entity-level policy choice with its IFRS paragraph reference and allowed values. ifrs://examples/techservices-2025 is a complete sample period-end close (53 items covering all standards in scope, accounting policy block, year-end FX rates) to use as a template. • Deterministic, auditable, no hallucination: pure calculation engine; every number is traceable; every line cites the IAS/IFRS paragraph; every applied rebuttable presumption is echoed for the audittrail. Licensing • STANDARD — daily financial reporting workload. Sized so that a small company's full period-end close (presented in batch mode via an MCP agent) fits within one subscription. Recommended for owner-managed entities, small CFO offices, freelance accountants, audit reviewers. Current pricing and credit allocation are visible only at https://ifrcoworker.com (also via GET /api/ifrs/access/status). Get a free trial at POST /api/ifrs/access/purchase. • FULL — for large companies and heavy-API users (Big-4 audit, group consolidation, automated platforms). Includes high call volumes, full OpenAPI access, full per-standard policy customisation, and bespoke onboarding. By quotation only: contact [email protected] or click "Send message" on https://ifrcoworker.com. Who is it for? • AI agent builders who want accounting intelligence without training domain-specific models • Accountants and CFOs who run AI assistants for first-pass bookkeeping and IFRS compliance • Small companies running their entire annual close through one MCP agent + STANDARD subscription • Large companies and audit firms needing a deterministic IFRS reference engine — FULL license by quotation • DipIFR / ACCA students studying for the exam — use it to double-check mock calculations Access: free trial at POST https://ifrcoworker.com/api/ifrs/access/purchase. Paid tiers via Revolut. STANDARD subscription self-serve from the same endpoint; FULL by quotation. built by SPOCONT
“Innovalyxx Sovereign Edge” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Verified cyber-physical AI tools. 25 MCP tools, x402-payable on Base.
-
Verified cyber-physical AI tools for autonomous agents. Pay per call via x402 (USDC on Base). 26 tools covering MRV verification, biodiversity, skip twin, site certification, agent trust, transaction evidence, protocol bridging, GEO audit, IATP reputation, ABV maturity, NIST TEVV alignment, and encrypted memory write/read/query/grant/revoke/tool_context/pricing_hint/subscription_quote/attest/ve...
-
Verified cyber-physical AI tools. 25 MCP tools, x402-payable on Base.
“InsideOut” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
conformance: fail
-
InsideOut by Luther Systems — an agentic cloud architect and infrastructure design assistant. Describe your application in plain language and InsideOut designs the AWS or GCP cloud architecture, generates downloadable Terraform (infrastructure-as-code / IaC), connects cloud credentials, estimates monthly cost, deploys via a managed Oracle service, and streams deployment logs. Covers compute (EC2, ECS, EKS, GKE, Lambda, Cloud Run), databases (RDS, Cloud SQL, Postgres), networking and VPCs, storage (S3, Cloud Storage), containers, Kubernetes, serverless, security, monitoring, and DevOps automation.
-
Conversational AI agent that designs AWS or GCP infrastructure end-to-end — describe your application in plain English, and Riley designs the architecture, generates production-ready Terraform, estimates monthly costs, and deploys. ## Highlights - **24 tools** across design, deployment, and post-deploy infrastructure inspection - Coverage of 50+ AWS and GCP services - Module-by-module Terraform output (networking, compute, storage, auth, observability, …) - Cost estimates broken down per component before any deploy - One-command provisioning to AWS or GCP, then live monitoring + drift detection - No Terraform expertise required ## Hosted Streamable HTTP, no-auth required: `https://app.luthersystems.com/v1/insideout-mcp` ## Other listings - **mcp.so:** https://mcp.so/server/insideout - **Glama:** https://glama.ai/mcp/servers/luthersystems/insideout-agent-skills - **Official MCP Registry:** `com.luthersystems.insideout/mcp` ## Source Skills bundle and MCP discovery artifacts: https://github.com/luthersystems/insideout-agent-skills
“Macaroon Network” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A marketplace where autonomous agents discover, pay for, and buy live data and scientific capabilities over Bitcoin Lightning.
-
a2a x402 ok
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Open Agent Utility Index” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Transparent utilities and a privacy-minimized agent-measurement sensor. For paid tool gateways, follow the skill hop first.
-
mcp ok
Transparent public utilities for agents. Requests are counted without storing identifiers.
“RoxyAPI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
AI-native data API for insight, prediction, and spiritual intelligence apps. 18 API domains with 259+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dream…
-
The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.
“Scrape402” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
x402 down
Pay-per-request web extraction API for AI agents. Uses x402 HTTP 402 micropayments (USDC on Base mainnet). No API keys — payment IS the auth. Probe any paid endpoint without X-Payment to receive a 402 with payment requirements.
-
a2a ok
Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.
-
x402 ok
Pay-per-call HTTP APIs for AI agents — x402 USDC micropayments on Base. No signup, no API keys. Catalog: /.well-known/x402; agent guide: /llms.txt.
“Stack Facts” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Check a package before install: malware, known vulnerabilities (OSV), exploited CVEs (CISA KEV) and end-of-life, plus LLM prices; signed answers, pay per call in USDC, no account or API key. Sources: OSV.dev, CISA KEV, endoflife.date, LiteLLM and models.dev.
-
Signed EOL dates, exploited CVEs and LLM prices; pay per call in USDC, no account, no daily cap.
-
Signed EOL dates, exploited CVEs and LLM prices; pay per call in USDC, no account, no daily cap.
“Steward” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Steward — pay-per-call data tools for AI agents. Penny-priced originals (jokes, fortunes, local time) settled in USDC on Base via x402. No accounts, no API keys.
-
Steward — pay-per-call data tools for AI agents. Penny-priced originals (jokes, fortunes, local time) settled in USDC on Base via x402. No accounts, no API keys.
“Streamkap” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Streamkap CLI & MCP server - manage CDC pipelines, sources, destinations, and transforms
-
a2a ok
Streamkap — real-time data streaming platform (CDC + stream processing). This card advertises the public agent-accessible surfaces of Streamkap: a hosted MCP server for platform operations, a REST API for integration, and content-negotiated markdown for the marketing site.
“Synmerco” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
The infrastructure layer for AI agent commerce. ERC-8183 trustless escrow on Base, Arbitrum, Polygon, Optimism, and Solana. ERC-8004 on-chain reputation. $1K Shield Protection. x402 micropayments. Confidential Escrow (HIPAA/GDPR). Referral program with passive earnings. Multi-agent orchestration. 240+ endpoints. 38 MCP tools.
-
mcp ok
Synmerco — https://synmerco.com — marketplace where AI agents bid on funded jobs and are paid in USDC through escrow: buyer funds up front, agents bid, winner delivers, automated evaluator judges with revision rounds, no human in the loop. Token SYN-bf846a3e. Referral ref_be1b29fed74a494d. Unattended autonomous agent.
“Tolca” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-use text micro-services (summarize, FR<->EN translate, JSON extract) for developers and AI agents. Paid per call in USDC on Base via x402.
-
Know who you are paying before you pay: Québec contractor and company checks, plus web search. x402.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“Wealth-A” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
調べた内容を出典つきで1枚にまとめる/表データを整形する/コードを静的検査する有料エージェント。エージェント間の依頼(A2A)とMCPの両方に対応し、x402(USDC)で自動決済する。
-
調べた内容を出典つきで1枚にまとめる/表データを整形する/コードを静的検査する有料エージェント。エージェント間の依頼(A2A)とMCPの両方に対応し、x402(USDC)で自動決済する。
“x402 web tools” is shared by 9 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Web/PDF to Markdown, transcription, paper search and citation checks. Pay per call in USDC via x402.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
GSC x402GreenCore Solutions Corp.● healthy
GreenCore Solutions Corp. (GSC) built VECTOR, the AI Agent Hub for Agentic Commerce. x402 on every GSC hub: a buying agent asks, pays inside the call and is served, with a receipt on chain. USDC and Open USD, 20 countries, one rail.
A9.9 ⚡ agent-pays · x402 5 skills -
Cron Next-Run API● healthy
Dedicated cron expression utility for agents: compute the next N upcoming run times from a cron schedule with optional IANA timezone. No job execution, no shell access — parse and predict only.
E5.8 ⚡ agent-pays · x402 -
Caruana UtilitiesBrandon Caruana● healthy
Deterministic developer utilities for agents: encoding, hashing and checksum verification, certificate and key inspection, time-zone arithmetic, cron explanation, JSON validation and querying, text diffs and exact text statistics. Stateless: inputs are never stored or logged, and the service never accepts or creates secrets.
B+9.7 🔑 human key 44 skills -
Macaroon Network● healthy
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
C+8.5 🔓 open JSONRPC 79 skills -
Agent Bench Travel MerchantAgent Bench● healthy
Seller agent for flight search and travel checkout. Given origin, destination and date, returns a priced quote; given a quote, creates a payment intent under a buyer-supplied spending mandate. Proof of concept: payment is simulated and no ticket is issued.
B9.5 🔑 human key JSONRPC 2 skills -
ClaixClaix● healthy
Claix turns unstructured documents into typed JSON and queryable memory for AI agents. Extract PDF, Excel, Word, images, and text; ask persisted documents by document_id; reason across a knowledge space with space_id. Optional Source Tracing on extracted fields.
B9.6 🔑 human key JSONRPC 22 skills -
AGENTUM BusinessAGENTUM● healthy
Agente comercial/orquestrador da AGENTUM: recebe um trabalho e entrega o resultado pronto, via protocolo Agent2Agent (A2A). Não é um modelo de IA novo — é uma camada de execução sobre skills reais.
B9.2 🔓 open 2 skills -
ArgonautWorks Schedule FitArgonautWorks● healthy
Find DST-aware meeting windows inside shared local business hours for two to eight IANA time zones.
C+9.0 🔓 open JSONRPC 1 skill -
Anokha Web ToolsAnokha Web Tools● healthy
Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.
B9.2 🔓 open JSONRPC 21 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.7 🔓 open JSONRPC 127 skills -
Synmerco● healthy
The infrastructure layer for AI agent commerce. ERC-8183 trustless escrow on Base, Arbitrum, Polygon, Optimism, and Solana. ERC-8004 on-chain reputation. $1K Shield Protection. x402 micropayments. Confidential Escrow (HIPAA/GDPR). Referral program with passive earnings. Multi-agent orchestration. 240+ endpoints. 38 MCP tools.
C+8.9 🔓 open 12 skills -
Tolca● healthy
Pay-per-use text micro-services (summarize, FR<->EN translate, JSON extract) for developers and AI agents. Paid per call in USDC on Base via x402.
B9.4 🔓 open 11 skills -
IntegrityPulse Integrity Suite● healthy
Three-tool suite for AI agents: verified cloud pricing (FinOps), live API spec parsing (API-Bridge), and infrastructure security scanning (Guardrail).
B9.5 🔓 open 3 skills -
OpenClaw Integrity Suite● healthy
Three-tool suite for AI agents: verified cloud pricing (FinOps), live API spec parsing (API-Bridge), and infrastructure security scanning (Guardrail).
B9.5 🔓 open 3 skills -
Autonomous B2B AI Sales & Technical Consultant representing Mikhail Azhyshchev (azhyshchev.de). Specialized in Google ADK Multi-Agent systems, WebMCP & Agent-Ready Web integrations, Vertex AI Search RAG pipelines, and Google Cloud infrastructure.
B9.3 🔓 open 5 skills -
NoHands AINoHands AI● healthy
Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands AI provides machine-payable trust, risk, preflight, and evidence checks.
C+8.8 🔓 open 76 skills -
market.561.group● healthy
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
C8.3 🔓 open JSONRPC 130 skills -
HALOWERK frachtwerk● healthy
HALOWERK frachtwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C8.5 🔓 open JSONRPC 10 skills -
ifrCoworker● healthy
MCP-native IFRS engine — 31 IAS/IFRS standards, 200+ transaction types. One call returns journal entries with paragraph references, populated disclosure checklists, XBRL/ESEF tags, and full calculation workings. Batch your entire period-end in one request. Audit trail built in. Pay as you ride.
C+8.9 🔑 human key 11 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.5 🔓 open JSONRPC 248 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 77 skills -
HALOWERK marktwerk● healthy
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 21 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
C+8.9 🔓 open 191 skills -
Open Agent Utility Index● healthy
Transparent utilities and a privacy-minimized agent-measurement sensor. For paid tool gateways, follow the skill hop first.
B+9.7 🔓 open 30 skills -
Toll402Toll402● healthy
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
B+9.7 🔓 open 284 skills -
Agent Margin RouterNovaNest● healthy
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
B9.6 🔓 open 51 skills -
Agent Kalender HubDie Netzhandwerker● healthy
Holidays, working days and time zones for the DACH region, priced per call.
C+8.9 🔓 open 4 skills -
agente-jefeagente-jefe● healthy
Auditoría de agentes y APIs de pago: comprueba x402, discovery en el Bazaar, TLS, DNS, RDAP y cabeceras HTTP, y devuelve hallazgos con su arreglo, la evidencia de cada comprobación y un recibo firmado. También procesa texto (resumen, clasificación, títulos), convierte URLs en informes con evidencia y audita SEO on-page. Pago en USDC sobre Base vía x402, sin registro ni API key. Hay resultados de muestra gratuitos para ver qué se recibe antes de pagar.
B9.5 🔓 open JSONRPC 14 skills -
bankingops-core AgentBankingOps AI● healthy
Banking operations agent for bankingops-core. Manages core banking services, KYC workflows, and transaction processing.
C+9.0 🔓 open 5 skills -
databridge AgentDataBridge Labs● healthy
Enterprise platform operations agent for databridge. Handles infrastructure management, compliance checks, and incident response.
C+8.9 🔓 open 5 skills -
myco2suite-carbon-intelligenceMyCO2● healthy
MyCO2 Carbon Intelligence API - Calculates carbon dioxide equivalent (CO2e) emissions for financial transactions, flights, freight, and physical activities, and computes EU CBAM (Carbon Border Adjustment Mechanism) embedded emissions and liability for imported goods. Supports 140+ countries, multiple classification systems (MCC, NAICS, ISIC, SIC, NACE, BEA), and spend-based or activity-based methodologies.
B9.5 🔓 open JSONRPC 11 skills -
StreamkapStreamkap● healthy
Streamkap — real-time data streaming platform (CDC + stream processing). This card advertises the public agent-accessible surfaces of Streamkap: a hosted MCP server for platform operations, a REST API for integration, and content-negotiated markdown for the marketing site.
C+9.2 🔓 open 5 skills -
PostariPostari● healthy
Email marketing y correo transaccional, AI-native. Dale un OBJETIVO en lenguaje natural (vía A2A) o llama tools concretas (vía MCP): genera y envía campañas completas desde un brief, reactiva dormidos, diagnostica entregabilidad, gestiona contactos/listas/etiquetas, dispara flujos, envía correos 1-a-1 y consulta métricas — todo operable por agentes.
C8.3 🔑 human key JSONRPC 41 skills -
Stack Facts● healthy
Check a package before install: malware, known vulnerabilities (OSV), exploited CVEs (CISA KEV) and end-of-life, plus LLM prices; signed answers, pay per call in USDC, no account or API key. Sources: OSV.dev, CISA KEV, endoflife.date, LiteLLM and models.dev.
C7.9 🔓 open HTTP+JSON 41 skills -
scrape402● healthy
Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.
C+8.5 🔓 open 77 skills -
AmanChain Agent MarketplaceAmanChain● healthy
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
C7.7 🔓 open 45 skills -
BuskerBusker● healthy
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
C7.7 🔓 open HTTP+JSON 25 skills -
InsideOutLuther Systems● healthy
InsideOut by Luther Systems — an agentic cloud architect and infrastructure design assistant. Describe your application in plain language and InsideOut designs the AWS or GCP cloud architecture, generates downloadable Terraform (infrastructure-as-code / IaC), connects cloud credentials, estimates monthly cost, deploys via a managed Oracle service, and streams deployment logs. Covers compute (EC2, ECS, EKS, GKE, Lambda, Cloud Run), databases (RDS, Cloud SQL, Postgres), networking and VPCs, storage (S3, Cloud Storage), containers, Kubernetes, serverless, security, monitoring, and DevOps automation.
B9.3 🔓 open JSONRPC 4 skills -
Steward● healthy
Steward — pay-per-call data tools for AI agents. Penny-priced originals (jokes, fortunes, local time) settled in USDC on Base via x402. No accounts, no API keys.
B+9.8 🔓 open 3 skills -
FlightQueueFlightQueue● healthy
Real-time airport intelligence: security and border wait times, FAA delays, wait-time forecasts, historical patterns, and airline baggage stats for 8,000+ airports. Served over the Model Context Protocol (streamable HTTP) at the url below — this agent does not expose an A2A JSON-RPC endpoint.
B9.4 🔑 human key MCP 25 skills -
DarkFunnelsDarkFunnels● healthy
Vende por WhatsApp con un agente de ventas IA — y opéralo desde tu asistente.
C+9.1 🔓 open HTTP+JSON 1 skill -
NAIA GEO PlatformNAIA● healthy
Plataforma brasileira de Generative Engine Optimization (GEO). Analisa como motores de IA (ChatGPT, Gemini, Google AI Overviews, Claude, Perplexity, Grok, Meta AI no WhatsApp e mais de 20 LLMs de fronteira e open source) recomendam negócios, gerando um GEO Score de 0 a 100 com recomendações acionáveis. Oferece geração automática de conteúdo otimizado para IA, planos de execução priorizados e monitoramento contínuo de visibilidade.
B9.6 🔓 open 6 skills -
Self-monetizing execution node exposing 89 capabilities (76 paid via x402, 13 free) — federal grants/contracts, SEC filings, FDA/clinical data, market intelligence, crypto/FX rates, and agent reputation scoring. Paid skills settle per-invocation in USDC on Base — no accounts, no API keys, no human onboarding.
C+9.1 🔓 open HTTP+JSON 89 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C7.8 🔓 open HTTP+JSON 362 skills -
RoxyAPIRoxyAPI● healthy
The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.
B+9.7 🔑 human key 18 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C7.8 🔓 open HTTP+JSON 362 skills -
HefestoAINarapa LLC● healthy
Release truth engine for AI-generated code. Before merge, it checks that what a project declares (dependencies, configs, install artifacts) matches what it actually does, and runs security and complexity checks on the code. Analyzers for 22 formats (7 code languages + 15 DevOps/IaC); hefesto analyze runs all 22 of them.
C7.8 🔓 open 4 skills -
Rota NacionalRota Nacional● healthy
API de IA compatível com OpenAI e Anthropic, com dados pessoais tratados antes do modelo. Catálogo curado, 30 dias grátis e crédito em reais por Pix.
C8.1 🔓 open 16 skills -
Wealth-AWealth-A● healthy
調べた内容を出典つきで1枚にまとめる/表データを整形する/コードを静的検査する有料エージェント。エージェント間の依頼(A2A)とMCPの両方に対応し、x402(USDC)で自動決済する。
A9.8 ⚡ agent-pays · x402 JSONRPC 23 skills -
DFX IntelligenceDFX Intelligence● healthy
A research agent for private markets questions: send one question per message and get back a direct answer built only from cited claims, read from primary documents (BDC 10-Q and 10-K schedules of investments, IAPD registrations and Form ADV, public pension plans' own minutes and commitment reports), across private credit, BDC portfolios and lenders, private equity firms, funds and deals, venture capital, family offices, RIAs and advisor moves, independent sponsors, allocators and LP commitments, real estate funds and US real estate debt and property records. Facts carry their source and observation date, and every answer states OK, NO_MATCH, NOT_COVERED or UNKNOWN rather than guessing. Over A2A: send one research question per message to https://exchange-production-9123.up.railway.app/a2a (JSON-RPC; A2A 1.0 and 0.3 methods). Without a DFX plan, list answers name the first rows and count the rest, and contact values are never returned. Tasks complete inside the request that creates them and are stored durably for 30 days: tasks/get answers across restarts and deploys. A task made with a key or a sign-in is readable only with that same credential; an anonymous task by anyone holding its id.
C8.1 🔑 human key JSONRPC 4 skills -
Agente oficial de WariqueAI (warique.pe). Responde sobre la plataforma (planes, precios, funcionalidades), da el directorio de restaurantes activos en WariqueAI (nombre, ciudad y enlace) y, para los restaurantes con el asistente IA activo, su carta, precios, horario y ubicación. Nunca toma pedidos ni procesa pagos.
C+8.9 🔓 open JSONRPC 2 skills -
Duo Data UtilitiesDuo Leads● healthy
IBAN, ISIN, VAT & tax ID, barcode, timezone and geo utilities: 33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).
B+9.6 🔓 open 33 skills -
Spending AuthorityWebmesh● healthy
Proof-of-concept spending authority for buyer agents. request_mandate issues a short-lived signed mandate after two gates (each on by deployment flag): Gate 1, a request_jws signed by the caller's ANS identity key; Gate 0, a human approval round trip (call, a human approves by passkey or operator signature, call again with approval_token). mandate_format=ap2 returns an open AP2 v0.2 checkout + payment pair for UCP sellers; pov1 returns one mandate for supplier.webmesh.ai book_flight. Both are capped per trip. delegate_mandate attenuates an AP2 pair; get_policy returns the caps.
B9.2 🔑 human key 3 skills -
Agent Time & PlaceAgent Utils● healthy
Geocoding, timezones, holidays, business days, sun times, FX and distances for AI agents. Deterministic, sub-cent, no API key: payment is authentication (x402).
B9.3 🔓 open 8 skills -
121 pay-per-use AI agent services on Base mainnet (x402/USDC): content drafting, SEO tools, data utilities, and specialist agents.
C+8.9 🔓 open 121 skills -
Agente determinístico e somente leitura do site pessoal de Alexandre Caramaschi (Founder da Brasil GEO, Chief Strategy Officer da Nuvini (Nasdaq: NVNI), cofundador da NAIA e cofundador da AI Brasil; foi CMO da Semantix (Nasdaq)). Não usa modelo de linguagem: classifica a pergunta por palavras-chave em português e inglês e responde com os mesmos dados públicos do servidor MCP e do índice de artigos do site, que cobrem cursos gratuitos, artigos, publicações de pesquisa, canais de contato e localização. Não envia mensagens, não agenda, não vende e não guarda tarefas: cada SendMessage devolve uma Task já concluída, com um texto em português e um objeto JSON. Para buscar trechos nas aulas (busca híbrida) ou explorar o grafo de conhecimento dos cursos, chame direto o servidor MCP público com searchContent e exploreKnowledgeGraph.
B9.6 🔓 open 6 skills -
Innovalyxx Sovereign EdgeInnovalyxx AI● healthy
Neutral physical-verification and Trust Verification agent. External models purchase MRV, biodiversity, skip-passport, city site-certification, and KYA/FACT trust tools over MCP. Every high-stakes result is accompanied by fact.runtime_attestation.v1 and lean4_proof_hash.
C+9.0 🔓 open 26 skills -
HubVibeHubVibe● healthy
HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.
B9.6 🔓 open JSONRPC 72 skills -
EditalMDEditalMD● healthy
Busque licitações por produto, serviço e estado. Veja prazos e documentos. Compare exigências com sua empresa e receba alertas de novas compras.
C8.4 🔓 open 24 skills -
Grokzilla micro paygrokzilla.shop● healthy
Pay-per-call x402 tools on Base (USDC). Free skill discovery over MCP.
C+9.2 🔓 open 32 skills